Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Schnitt durch Volumenkörper

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Schnitt durch Volumenkörper (289 mal gelesen)
fca_mi2
Mitglied
Bauingenieur


Sehen Sie sich das Profil von fca_mi2 an!   Senden Sie eine Private Message an fca_mi2  Schreiben Sie einen Gästebucheintrag für fca_mi2

Beiträge: 496
Registriert: 10.01.2003

ACAD2018

erstellt am: 12. Okt. 2020 08:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Guten Morgen,

ich möchte mit Lisp einen Schnitt (SECTIONOBJECT) durch einen Volumenkörper legen und danach gleich die Schnittgeometrie als Block ableiten.
Kennt jemand ein paar Quellen zum nachlesen ?

------------------
MfG
Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADchup
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von CADchup an!   Senden Sie eine Private Message an CADchup  Schreiben Sie einen Gästebucheintrag für CADchup

Beiträge: 3312
Registriert: 14.03.2001

Sicher ist, dass nichts sicher ist. Selbst das nicht.
Joachim Ringelnatz

erstellt am: 12. Okt. 2020 18:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fca_mi2 10 Unities + Antwort hilfreich

Hi,

in AutoCAD Magazin Numero 6/2019 gab's ein Tool, das automatisch mehrere Schnitte entlang einer Geometrie legte inkl. Erzeugung der Schnittgeometrien.
Für deine Recherche: Die benutzten Funktionen waren (vla-AddSection (vla-get-ModelSpace oADoc)...) und (vla-GenerateSectionGeometry...)

Falls du damit nicht weiterkommst, kannst du auch die Redaktion anfragen, ob sie dir das Tool schicken.

Gruß
CADchup

------------------
CADmaro.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fca_mi2
Mitglied
Bauingenieur


Sehen Sie sich das Profil von fca_mi2 an!   Senden Sie eine Private Message an fca_mi2  Schreiben Sie einen Gästebucheintrag für fca_mi2

Beiträge: 496
Registriert: 10.01.2003

ACAD2018

erstellt am: 14. Okt. 2020 17:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

danke für die Tipps.

Kann man diesem "vla-GenerateSectionGeometry" immer nur ein Solid zuweisen ?

------------------
MfG
Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20078
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 14. Okt. 2020 17:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fca_mi2 10 Unities + Antwort hilfreich

Traust du der Hilfe nicht? Zumindest laut Hilfe[F1] wird EIN zulässige Objekt erwartet.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fca_mi2
Mitglied
Bauingenieur


Sehen Sie sich das Profil von fca_mi2 an!   Senden Sie eine Private Message an fca_mi2  Schreiben Sie einen Gästebucheintrag für fca_mi2

Beiträge: 496
Registriert: 10.01.2003

ACAD2018

erstellt am: 14. Okt. 2020 19:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Das ist ja nicht so gut, kann ja sein dass ein Objekt das andere verdeckt. Muss ja irgendwie alles überlagert werden.
Mh...

------------------
MfG
Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20078
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 14. Okt. 2020 19:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fca_mi2 10 Unities + Antwort hilfreich

Abgesehen von deiner Anfrage nach EIN OBJEKT schneiden,
versuchte ich mir nun das Problem vorzustellen und scheiterte.
Versuchte es aber auch nur 20sec. ;-)

In einer Ebene, also 2D Welt, kann doch kein Objekt ein anderes "physisch" verdecken?
Aber okay, ich steig hier mal aus - keine Resourcen frei für das Thema, lol.


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20078
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 15. Okt. 2020 01:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fca_mi2 10 Unities + Antwort hilfreich

Habe mir heute Abend die Schnitte noch mal angesehen, ohne neue Erkenntnisse.
Für die Erzeugung der Schnittgeometrie kann immer nur ein Objekt übergeben werden.

Ein Objekt ein anderes verdecken? Bei Schnittführungen mit mehr wie einer Ebene möglich,
aber ob man nun Schnittobjekte für alle Objekte auf einmal oder alle nacheinander erstellt
sollte keinen Unterschied machen.

Was übersehe ich?
Als DWG mit Volumenkörpern,,SECTIONOBJECT, und den erstellten Schnittobjekten wäre mir die Auflösung am liebsten 
Kapier es nicht 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fca_mi2
Mitglied
Bauingenieur


Sehen Sie sich das Profil von fca_mi2 an!   Senden Sie eine Private Message an fca_mi2  Schreiben Sie einen Gästebucheintrag für fca_mi2

Beiträge: 496
Registriert: 10.01.2003

ACAD2018

erstellt am: 15. Okt. 2020 08:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Stell dir vor ich habe ein Betonklötzchen (3D Solid) und ein Mauerwerksklötzchen.
Das Mauerwerksklötzchen liegt teilweis hinter dem Betonklötzchen.
Wenn ich jetzt durch das Betonklötzchen einen Schnitt lege, soll man die Schnittkanten vom Betonklötzchen sehen und die Ansichts- bzw. verdecjten kanten vom Mauerwerksklötzchen.
Das ganze funktioniert ja nur dann, wenn ich bei Klötzchen gleichzeitig betrachte und nicht jedes für sich.

------------------
MfG
Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20078
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 15. Okt. 2020 09:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fca_mi2 10 Unities + Antwort hilfreich

Hi fca_mi2,

wie gesagt, ich kann es mir nicht zusammenreimen, ich habe mit Schnitten/Schnittobjekten einfach nichts am Hut
und kann daher leicht etwas übersehen. Anderseits hast du über keine einzige Option/Einstellung deiner Schnittebene geschrieben,
das macht es auch nicht leichter.

Zitat:
Original erstellt von fca_mi2:
..soll man die Schnittkanten vom Betonklötzchen sehen und die Ansichts- bzw. verdecjten kanten vom Mauerwerksklötzchen.

Wie geht das, welchle Einstellungen benötige ich dafür?

Deswegen auch:

Zitat:
Original erstellt von cadffm: Als DWG mit Volumenkörpern,,SECTIONOBJECT, und den erstellten Schnittobjekten wäre mir die Auflösung am liebsten

Und für die Einstellungen kann man gut einen Screenshot nutzen

Wäre nett von dir 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StephanJP
Mitglied
CAD-Admin


Sehen Sie sich das Profil von StephanJP an!   Senden Sie eine Private Message an StephanJP  Schreiben Sie einen Gästebucheintrag für StephanJP

Beiträge: 808
Registriert: 09.11.2000

erstellt am: 15. Okt. 2020 10:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fca_mi2 10 Unities + Antwort hilfreich

Hallo Frank,
es gibt bestimmt einen Grund, warum das mit Lisp gemacht werden soll, aber eigentlich macht doch der Befehl SCHNEBENE so ziemlich das, was du beschreibst?

------------------

gruß
Stephan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fca_mi2
Mitglied
Bauingenieur


Sehen Sie sich das Profil von fca_mi2 an!   Senden Sie eine Private Message an fca_mi2  Schreiben Sie einen Gästebucheintrag für fca_mi2

Beiträge: 496
Registriert: 10.01.2003

ACAD2018

erstellt am: 15. Okt. 2020 11:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Bisher war mein Arbeitslauf der, dass ich die Schnitteebene einfüge, den Stil bearbeite und dann mit rechter Maustaste auf -> Schnitt generieren -> 2D/3D Block klicke um den Schnitt abzuleiten.
Mit den richtigen Schnitteinstellungen werden die Kanten dann ganz gut in Abhängigkeit der 3D-Solid-Layer dargestellt.
Es ist nur sehr lästig, wenn man 10-20 Schnitte in einer Zeichung hat und bei Änderungen jeden Schnitt mit Rechtsklick bearbeiten muss.
Und das möchte ich irgendwie mit Lisp automatisieren.


------------------
MfG
Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADchup
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von CADchup an!   Senden Sie eine Private Message an CADchup  Schreiben Sie einen Gästebucheintrag für CADchup

Beiträge: 3312
Registriert: 14.03.2001

Sicher ist, dass nichts sicher ist. Selbst das nicht.
Joachim Ringelnatz

erstellt am: 15. Okt. 2020 16:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fca_mi2 10 Unities + Antwort hilfreich

Hab's befürchtet. 

Es geht also gar nicht um GenerateSectionGeometry - die Methode erstellt die Schnittgeometrie selbst und nicht das Resultat des Schnitts, das du erzeugen und/oder aktualisieren willst: den "Schnittblock".
Den kriegt man mit dem Befehl _SECTIONPLANETOBLOCK.
Tja, entweder hat Autodesk mal wieder gepennt und die Dokumentation im Geldspeicher vergessen oder dem Lisp-Programmierer diese Möglichkeit vorsätzlich nicht gegeben.

Ich habe jedenfalls nix dazu finden können.

Gruß
CADchup

------------------
CADmaro.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20078
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 15. Okt. 2020 17:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fca_mi2 10 Unities + Antwort hilfreich


201015-6.jpg

 
Der Befehl ist halt etwas sperrig,
daher die Geometrie erzeugen (GenerateSectionGeometry) und den Block selbst erstellen.
Soweit ich sehe gibt es ja keinen Link zwischen dem Block und der Originalgeometrie/Schnitt,
also hat man 100% die selbe Funktion wenn man GenerateSectionGeometry mit
anschließender Block&Blockreferenz-Erstellung kombiniert.

Genau darum geht es doch oder?

@fca_mi2 - Ich hoffe ja noch immer mal ein DWG Beispiel zu erhalten damit ich das Problem mit "ein Objekt" kapiere.

Hier siehst du meine traurigen Versuche, ohne dich werde ich also nicht darauf kommen um was es geht.
Kann dich doch nur 2, max. 5min kosten ein simples Beispiel zu erstellen.


In Gelb einmal der Block über den Befehl erstellt und einmal
die Objekte durch mehrere GenerateSectionGeometry Vorgänge.

(vla-GenerateSectionGeometry
               sec                3DS          'BoundaryObjs
               'FillObjs          'BackGroundObjs    'ForegroundObjs
               'CurveTangencyObjs
               )

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fca_mi2
Mitglied
Bauingenieur


Sehen Sie sich das Profil von fca_mi2 an!   Senden Sie eine Private Message an fca_mi2  Schreiben Sie einen Gästebucheintrag für fca_mi2

Beiträge: 496
Registriert: 10.01.2003

ACAD2018

erstellt am: 16. Okt. 2020 07:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


3dmodell.dwg

 
Im Anhang die dwg

Jedes material ist auf einem separatem layer und bildet ein 3d solid

ür mich geht es darum die Ableitung der Schnitte mit lisp zu automatisieren

------------------
MfG
Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fca_mi2
Mitglied
Bauingenieur


Sehen Sie sich das Profil von fca_mi2 an!   Senden Sie eine Private Message an fca_mi2  Schreiben Sie einen Gästebucheintrag für fca_mi2

Beiträge: 496
Registriert: 10.01.2003

ACAD2018

erstellt am: 20. Okt. 2020 07:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Stille im Wald ? *zirp*

------------------
MfG
Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz